Last Comment Bug 585030 - l10n review for inspector
: l10n review for inspector
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 07:01 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2012-01-13 08:24 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Screenshot of PropertyPanel inspecting the window object. (80.38 KB, image/png)
2010-08-09 05:41 PDT, Julian Viereck
no flags Details

Description Rob Campbell [:rc] (:robcee) 2010-08-06 07:01:00 PDT
we have a few terms and strings that we're wondering about localizablity. We'd like to have an actual review of the contents of inspector.js, inspector.properties, browser.dtd by the l10n team.
Comment 1 Axel Hecht [pto-Aug-30][:Pike] 2010-08-08 23:44:10 PDT
Reviewing all of browser.dtd doesn't sound in scope for this bug, do the entities in question stay out in any way? Also, where are they used?

Also, this would be much easier if "a few terms and strings" would be listed.
Comment 2 Julian Viereck 2010-08-09 05:35:13 PDT
Takeover from bug 573102 (see comment 70: https://bugzilla.mozilla.org/show_bug.cgi?id=573102#c70) as requested by Gavin:

> >diff --git a/toolkit/components/console/hudservice/PropertyPanel.jsm b/toolkit/components/console/hudservice/PropertyPanel.jsm
> 
> >+function presentableValueFor(aObject)
> 
> I wonder whether "Array" and "Object" as generic descriptors might be usefully
> localizable. File a followup perhaps?
> 
> >+  switch (aObject.constructor.name) {
> 
> Need to null check aObject.constructor (can just make this |switch
> (aObject.constructor && aObject.constructor.name)| ).
> 
> >+function namesAndValuesOf(aObject)
> 
> >+    pair.display = propName + ": " + presentable.display;
> 
> Maybe include this in the followup to evaluate potential l10nization?

Some background: This bug is about implementing a panel that is used for inspecting JS objects. The object is displayed using a XUL tree. Screenshot is coming.
Comment 3 Julian Viereck 2010-08-09 05:41:45 PDT
Created attachment 464034 [details]
Screenshot of PropertyPanel inspecting the window object.
Comment 4 Rob Campbell [:rc] (:robcee) 2010-08-09 16:17:10 PDT
Axel, we don't need all of browser.dtd reviewed, just the "inspector" bits. 

Currently, http://mxr.mozilla.org/mozilla-central/source/browser/locales/en-US/chrome/browser/browser.dtd#175 - 188.

We also have inspector.properties:

http://mxr.mozilla.org/mozilla-central/source/browser/locales/en-US/chrome/browser/inspector.properties

Feel free to ask for screenshots or descriptions as-needed.
Comment 5 Axel Hecht [pto-Aug-30][:Pike] 2010-08-09 16:51:24 PDT
I don't understand the strings in inspector.properties, which might indicate that the comments aren't good enough.

I don't know why those strings are not using the regular printf format?

LOCALIZATION NOTE (style.styleItemLabel:
should likely be
LOCALIZATION NOTE (style.styleItemLabel):

Also, why do I get these questions after landing?
Comment 6 Rob Campbell [:rc] (:robcee) 2010-08-10 06:42:17 PDT
(In reply to comment #5)
> I don't understand the strings in inspector.properties, which might indicate
> that the comments aren't good enough.
> 
> I don't know why those strings are not using the regular printf format?
> 
> LOCALIZATION NOTE (style.styleItemLabel:
> should likely be
> LOCALIZATION NOTE (style.styleItemLabel):

Thanks. I picked that up in a subsequent bug (bug 561782).

> Also, why do I get these questions after landing?

I'm sure it was an oversight. We'll try to ask for your review during the review process.
Comment 7 Kevin Dangoor 2010-09-03 11:00:27 PDT
I think this bug can be closed, right? Axel has been providing a lot of great feedback in the other bugs as we've landed specific parts of the Inspector. I'm not sure that there's any "general review" required here?
Comment 8 Kevin Dangoor 2012-01-13 08:24:21 PST
this feature has shipped.

Note You need to log in before you can comment on or make changes to this bug.